#ifndef BISON_PARSER_TAB_H
# define BISON_PARSER_TAB_H

# ifndef YYSTYPE
#  define YYSTYPE int
#  define YYSTYPE_IS_TRIVIAL 1
# endif

#ifndef YYLTYPE
typedef struct yyltype
{
  int first_line;
  int first_column;

  int last_line;
  int last_column;
} yyltype;

# define YYLTYPE yyltype
# define YYLTYPE_IS_TRIVIAL 1
#endif

# define	INT	257
# define	FLOAT	258
# define	ID	259
# define	STRING	260
# define	TYVAR	261
# define	CHAR	262
# define	KW_AS	263
# define	KW_BOOL	264
# define	KW_BREAK	265
# define	KW_CASE	266
# define	KW_CONTINUE	267
# define	KW_DO	268
# define	KW_ELSE	269
# define	KW_EXCEPTION	270
# define	KW_EXPORT_AS	271
# define	KW_EXTERN_C	272
# define	KW_FALSE	273
# define	KW_FINALLY	274
# define	KW_FLOAT	275
# define	KW_FOR	276
# define	KW_FUN	277
# define	KW_IF	278
# define	KW_IN	279
# define	KW_INT	280
# define	KW_LET	281
# define	KW_NULL	282
# define	KW_OPEN	283
# define	KW_OPT_STRUCT	284
# define	KW_RAISE	285
# define	KW_RETURN	286
# define	KW_SECTION	287
# define	KW_SKIP	288
# define	KW_STRING	289
# define	KW_STRUCT	290
# define	KW_SWITCH	291
# define	KW_TRUE	292
# define	KW_TRY	293
# define	KW_TYPE	294
# define	KW_TYPEDEF	295
# define	KW_UNION	296
# define	KW_VOID	297
# define	KW_WHILE	298
# define	KW_WITH	299
# define	AND_AND	300
# define	OR_OR	301
# define	ARROW	302
# define	GTGT	303
# define	LTLT	304
# define	DOUBLECOLON	305
# define	EQ	306
# define	NE	307
# define	GE	308
# define	LE	309
# define	MINUS_EQUAL	310
# define	PERCENT_EQUAL	311
# define	PLUS_EQUAL	312
# define	SLASH_EQUAL	313
# define	STAR_EQUAL	314
# define	MINUS_MINUS	315
# define	PLUS_PLUS	316
# define	UMINUS	317
# define	APPLICATION	318


extern YYSTYPE yylval;

#endif /* not BISON_PARSER_TAB_H */
