/* 
 * Copyright (c) 2002 Michal Moskal <malekith@pld-linux.org>
 * All rights reserved. See file COPYRIGHT for details about licensing.
 *
 * $Rev: 632 $ $LastChangedDate: 2002-08-28 01:51:04 +0200 (Wed, 28 Aug 2002) $
 *
 * Standard library for Gont, Array module interface.
 */

type <'a>t;

'a get(<'a>t array, int idx) = "Array__get";
void set(<'a>t array, int idx, 'a value) = "Array__set";
int length(<'a>t array) = "Array__length";
<'a>t make(int size, 'a ini) = "Array__make";
<'a>t init(int size, *('a (int)) ini) = "Array__init";

void iter(*(void ('a)), <'a>t array);
<'a>list to_list(<'a>t);
<'a>t of_list(<'a>list);

void resize(<'a>t array, int new_size, 'a ini) = "Array__resize";
<'a>t copy(<'a>t src) = "Array__copy";
