/* 
 * Copyright (c) 2002 Michal Moskal <malekith@pld-linux.org>
 * All rights reserved. See file COPYRIGHT for details about licensing.
 *
 * $Rev: 539 $ $LastChangedDate: 2002-08-25 13:25:13 +0200 (Sun, 25 Aug 2002) $
 *
 * Standard library for Gont, Bitvector module interface.
 */

type t;

bool get(t array, int idx) = "Bitvector__get";
void set(t array, int idx, bool value) = "Bitvector__set";
int length(t array) = "Bitvector__length";
t make(int size, bool ini) = "Bitvector__make";
void resize(t array, int new_size, bool ini) = "Bitvector__resize";
t copy(t src) = "Bitvector__copy";
// dst |= src
void or(t dst, t src);
// dst &= src
void and(t dst, t src);
