/* 
 * Copyright (c) 2002 The University of Wroclaw.
 * All rights reserved. See file COPYRIGHT for details about licensing.
 *
 * $Rev: 630 $ $LastChangedDate: 2002-08-28 01:40:20 +0200 (Wed, 28 Aug 2002) $
 *
 * Standard library for Gont, List module implementation.
 */

typedef <'a>list <'a>t;

int length(<'a>t l);
void iter(*(void ('a)) f, <'a>t l);
<'b>t map(*('b ('a)) f, <'a>t l);
<'a>t concat(<'a>t x, <'a>t y);
<'a>t filter(*(bool ('a)) f, <'a>t l);
bool exists(*(bool ('a)) f, <'a>t l);
'a fold_left(*('a ('a, 'b)) f, 'a init, <'b>t li);
<'a>t qsort(*(int ('a, 'a)) cmp, <'a>t l);
<'a>t rev(<'a>t l);
'a find(*(bool ('a)) f, <'a>t lst);

<'a>t cons1('a d1);
<'a>t cons2('a d1, 'a d2);
<'a>t cons3('a d1, 'a d2, 'a d3);
<'a>t cons4('a d1, 'a d2, 'a d3, 'a d4);

<'a>t nil();
<'a>t cons('a, <'a>t);

void iter2(*(void ('a, 'b)), <'a>t, <'b>t);
<'a>t map2(*('a ('b, 'c)), <'b>t, <'c>t);

/* EOF */
