open Stdio;

*(FILE, string) tmpfile(string prefix)
{
	raise Invalid_argument("sorry, not yet");
}

FILE stdin;
FILE stdout;
FILE stderr;

extern_c FILE Stdio___stdX(int x);

section init 
{
	stdin = Stdio___stdX(0);
	stdout = Stdio___stdX(1);
	stderr = Stdio___stdX(2);
}

void output_string(FILE f, string x)
{
	output_short_string(f, itoa(String::length(x)));
	fwrite(f, x);
}

void output_int(FILE f, int x)
{
	output_short_string(f, itoa(x));
}

void output_float(FILE f, float x)
{
	output_short_string(f, ftoa(x));
}

void output_bool(FILE f, bool x)
{
	if (x)
		fputs(f, "T");
	else
		fputs(f, "F");
}

string input_string(FILE f)
{
	int len = atoi(input_short_string(f));
	return fread(f, len);
}

int input_int(FILE f)
{
	return atoi(input_short_string(f));
}

float input_float(FILE f)
{
	return atof(input_short_string(f));
}

bool input_bool(FILE f)
{
	switch (fread(f, 1)) {
	case "T":
		return true;
	case "F":
		return false;
	case _:
		raise Invalid_argument("Stdio::input_bool");
	}
}
