/* 
 * Copyright (c) 2002 Michal Moskal <malekith@pld-linux.org>
 * All rights reserved. See file COPYRIGHT for details about licensing.
 *
 * $Rev: 629 $ $LastChangedDate: 2002-08-28 01:30:26 +0200 (Wed, 28 Aug 2002) $
 *
 * Standard library for Gont, Sys module interface.
 */

<string>Array::t argv;

// (user_time, system_time)
*(int, int) times() = "Sys__times";
int clk_tck() = "Sys__clk_tck";
void dump_allocator_statistics() = "gont_alloc_dump_stats";

'a exit(int) = "Sys__exit";
'a abort() = "abort";
void at_exit(*(void ())) = "Sys__at_exit";

// execute cmd through /bin/sh -c and return exit status
int shell(string cmd) = "Sys__shell";
